irqbalance spams syslog about affinity_hint subset empty

Bug #1321425 reported by Kent Stanwood Gordon on 2014-05-20
154
This bug affects 31 people
Affects Status Importance Assigned to Milestone
irqbalance (Ubuntu)
Medium
Jorge Niedbalski
Trusty
Medium
Jorge Niedbalski
Utopic
Medium
Jorge Niedbalski
Vivid
Medium
Jorge Niedbalski

Bug Description

[Environment]

/var/log/syslog has repeating
May 20 14:39:28 txsllabc7k001 /usr/sbin/irqbalance: irq 121 affinity_hint subset empty
May 20 14:39:28 txsllabc7k001 /usr/sbin/irqbalance: irq 123 affinity_hint subset empty
May 20 14:39:28 txsllabc7k001 /usr/sbin/irqbalance: irq 125 affinity_hint [Repeat]

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: irqbalance 1.0.6-2
ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.1
Architecture: amd64
Date: Tue May 20 14:19:32 2014
ExecutablePath: /usr/sbin/irqbalance
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
SourcePackage: irqbalance
UpgradeStatus: No upgrade log present (probably fresh install)

[Impact]

Syslog writes a repeated set of affinity_hint entries, affecting logs visibility and potentially causing high disk usage.

[Test]

- Install irqbalance package.
- Enable /etc/default/irqbalance
#Configuration for the irqbalance daemon
#Should irqbalance be enabled?
ENABLED="1"
- Start (service start irqbalance)

[Regression Potential]

- None is expected.

[Other Info]

The fix is to only warn once for affinity hint subset empty irqs.
(See: https://github.com/Irqbalance/irqbalance/commit/c9e5f36fe91d2d04d013d96f1093419245585de7)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in irqbalance (Ubuntu):
status: New → Confirmed
Grant Slater (firefishy) wrote :

Workaround:

Apply patch in: https://bugs.launchpad.net/ubuntu/+source/irqbalance/+bug/1328556
Set OPTIONS="--hintpolicy=ignore" in /etc/default/irqbalance
sudo service irqbalance restart

Confirmed patch solves problem.

cd /etc/init;
  patch < patchfile-1328556
sudo service irqbalance restart

Ed Taylor (edward-taylor-m) wrote :

Confirmed patch solves problem.

Joe Gruher (joseph-r-gruher) wrote :

I seem to have the problem even after making the described change:

ceph@bfceph03:~$ cat /etc/default/irqbalance
#Configuration for the irqbalance daemon
#Should irqbalance be enabled?
ENABLED="1"
#Balance the IRQs only once?
ONESHOT="0"
OPTIONS="--hintpolicy=ignore"

ceph@bfceph03:~$ sudo service irqbalance restart
irqbalance stop/waiting
irqbalance start/running, process 25104

ceph@bfceph03:~$ date
Wed Aug 13 15:05:09 PDT 2014

ceph@bfceph03:~$ tail /var/log/syslog
Aug 13 15:05:17 bfceph03 /usr/sbin/irqbalance: irq 211 affinity_hint subset empty
Aug 13 15:05:17 bfceph03 /usr/sbin/irqbalance: irq 212 affinity_hint subset empty
Aug 13 15:05:17 bfceph03 /usr/sbin/irqbalance: irq 213 affinity_hint subset empty
Aug 13 15:05:17 bfceph03 /usr/sbin/irqbalance: irq 214 affinity_hint subset empty
Aug 13 15:05:17 bfceph03 /usr/sbin/irqbalance: irq 215 affinity_hint subset empty
Aug 13 15:05:17 bfceph03 /usr/sbin/irqbalance: irq 216 affinity_hint subset empty
Aug 13 15:05:17 bfceph03 /usr/sbin/irqbalance: irq 217 affinity_hint subset empty
Aug 13 15:05:17 bfceph03 /usr/sbin/irqbalance: irq 218 affinity_hint subset empty
Aug 13 15:05:17 bfceph03 /usr/sbin/irqbalance: irq 219 affinity_hint subset empty
Aug 13 15:05:17 bfceph03 /usr/sbin/irqbalance: irq 220 affinity_hint subset empty

Joe Gruher (joseph-r-gruher) wrote :

Apologies, I missed that you have to first apply patch in:
https://bugs.launchpad.net/ubuntu/+source/irqbalance/+bug/1328556

Once I applied that patch it is indeed resolved. Sorry for the confusion, and thanks.

Louis Bouchard (louis) wrote :

For info, SRU for LP: #1328556 in near completion and the fix for it should become available in 7 days.

$ sudo apt-get update && sudo apt-get install irqbalance should install a new & fixed version.

After this, the solution for this bug will be to add the following in /etc/default/irqbalance :

OPTIONS="--hintpolicy=ignore"

and restart the irqbalance damon

ceph@bfceph03:~$ sudo service irqbalance restart
irqbalance stop/waiting
irqbalance start/running, process 25104

I will update this bug once the fix becomes public.

Changed in irqbalance (Ubuntu):
assignee: nobody → Louis Bouchard (louis-bouchard)
Louis Bouchard (louis) wrote :

The fix for bug LP: #1328556 is now publiclly available.

The solution for this bug is to upgrade to the latest irqbalance package in Trusty and follow the instruction in the previous comment.

I am marking this bug as Invalid, since the solution does not require a bug to be fixed, but a configuration file to be updated.

Changed in irqbalance (Ubuntu):
status: Confirmed → Invalid
assignee: Louis Bouchard (louis-bouchard) → nobody
Andri Möll (moll) wrote :

This is still the case with a fresh install of 14.04 LTS. Is it supposed to be?
/etc/default/irqbalance does not contain hintpolicy.

Ray Speth (speth) wrote :

I can confirm that this still occurs with a clean install of 14.04.2. Adding the specified configuration does indeed fix the problem, but this is not apparently part of the default configuration.

Changed in irqbalance (Ubuntu):
status: Invalid → Confirmed

Proper fix is in commit c9e5f36fe91d2d04d013d96f1093419245585de7 on the upstream git repo.
Actual fix is a blind workaround. Please apply the right fix (warn once) :
https://github.com/Irqbalance/irqbalance/commit/c9e5f36fe91d2d04d013d96f1093419245585de7

Same as bug #1444283

Robie Basak (racb) wrote :

Swapping the duplicates around as this bug has more information.

summary: - irqbalance affinity_hint subset empty in /var/log/syslog
+ irqbalance spams syslog about affinity_hint subset empty
Changed in irqbalance (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Changed in irqbalance (Ubuntu):
assignee: nobody → Jorge Niedbalski (niedbalski)
Changed in irqbalance (Ubuntu Trusty):
assignee: nobody → Jorge Niedbalski (niedbalski)
Changed in irqbalance (Ubuntu Utopic):
assignee: nobody → Jorge Niedbalski (niedbalski)
Changed in irqbalance (Ubuntu Vivid):
assignee: nobody → Jorge Niedbalski (niedbalski)
Changed in irqbalance (Ubuntu):
status: Triaged → In Progress
Changed in irqbalance (Ubuntu Trusty):
status: New → In Progress
Changed in irqbalance (Ubuntu Utopic):
status: New → In Progress
Changed in irqbalance (Ubuntu Vivid):
status: New → In Progress

The attachment "Wily Patch" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Jorge Niedbalski (niedbalski) wrote :
Jorge Niedbalski (niedbalski) wrote :
Jorge Niedbalski (niedbalski) wrote :
Jorge Niedbalski (niedbalski) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package irqbalance - 1.0.6-3ubuntu2

---------------
irqbalance (1.0.6-3ubuntu2) wily; urgency=medium

  * d/p/0001-bug-893478_warn-once.patch: Only warn one
    for affinity hint subset empty irqs. (LP: #1321425).

 -- Jorge Niedbalski <email address hidden> Fri, 10 Jul 2015 16:40:08 -0500

Changed in irqbalance (Ubuntu):
status: In Progress → Fix Released
tags: added: sts
Chris J Arges (arges) wrote :

Trusty patch doesn't apply cleanly. Please fix this before it gets sponsored. Thanks

Jorge Niedbalski (niedbalski) wrote :

@arges,

I just re-applied the attached Trusty Patch into the current trusty-updates version without issues.

Robie Basak (racb) wrote :

Hi Jorge,

Thank you for the debdiffs. They seem to have excessive whitespace noise though, which I don't see in the upstream commit you picked. Is there an errant editor setting that has caused this? The same noise was also uploaded to Wily which isn't ideal. Additionally there's noise for example in the Trusty debdiff changing an unrelated quilt patch.

Could you please adjust the SRU debdiffs to not contain anything apart from the fix that we need here? Everything else in the debdiffs looks fine to me - assuming the rest of the quilt patch content matches the upstream commit exactly, the changelog message, bug reference and dep3 headers all look OK.

Feel free to ping me once you have updated these for sponsorship.

Michael Vogt (mvo) wrote :

Hi Jorge, I fixed the whitespace and uploaded the trusty version now. Atached is the debdiff for trusty.

Michael Vogt (mvo) wrote :

Uploaded this as well (with the whitespace fixes) thanks again for the debdiff!

Michael Vogt (mvo) wrote :

I think we can ignore utopic now (its end-of-life).

Changed in irqbalance (Ubuntu Utopic):
status: In Progress → Won't Fix
Changed in irqbalance (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in irqbalance (Ubuntu Vivid):
status: In Progress → Fix Committed

Hello Kent, or anyone else affected,

Accepted irqbalance into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/irqbalance/1.0.6-2ubuntu0.14.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Chris J Arges (arges) wrote :

Please re-upload for Vivid, the version conflicts with whats in Wily. Thanks

Simon Déziel (sdeziel) wrote :

The version in trusty-proposed works fine, thanks a lot!

tags: added: verification-done
removed: verification-needed
Simon Déziel (sdeziel) on 2015-09-01
tags: added: verification-done-trusty
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package irqbalance - 1.0.6-2ubuntu0.14.04.3

---------------
irqbalance (1.0.6-2ubuntu0.14.04.3) trusty; urgency=medium

  * d/p/0001-bug-893478_warn-once.patch: Only warn once
    for affinity hint subset empty irqs. (LP: #1321425).

 -- Jorge Niedbalski <email address hidden> Fri, 10 Jul 2015 18:09:26 -0300

Changed in irqbalance (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for irqbalance has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in irqbalance (Ubuntu Trusty):
importance: Undecided → Medium
Changed in irqbalance (Ubuntu Utopic):
importance: Undecided → Medium
Changed in irqbalance (Ubuntu Vivid):
importance: Undecided → Medium
Dan Streetman (ddstreet) on 2019-06-04
tags: removed: sts
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers